Skip to main content
Version: Lastest

Authentication Link

Authentication Link

Chat with AI▼

The backend system of the Partner returns this Authentication Link to open the login form. Customers enter information on the login form to link their AppotaPay wallet account

EndPoint​

GET /oauth/login

Request Params​

ParametersRequirementData typeDescriptionNote
client_keyrequiredStringThe API_KEY information on Application
scoperequiredStringScope of permissions. Please refer to ScopeValue: "user.info,user.apoint_payment,user.wallet_payment"
response_typerequiredStringThe data type returnedValue: "code"
redirect_urirequiredStringAfter successful linking, the system will call this URI with AUTHORIZATION_CODE and state parameters
stateoptionalStringThis information is often used to prevent request forgery

Example Request​

https://ewallet.dev.appotapay.com/oauth/login?client_key=YOUR_API_KEY&scope=user.info,user.payment&response_type=code&redirect_uri=YOUR_REDIRECT_URI&state=YOUR_STATE

Response Params​

  • Success: Response login page
  • Error: Redirect error page

Scope​

Permission nameDescription
user.infoRetrieve basic information (fullname , apoint_balance,...)
user.apoint_paymentUsing APoint balance to pay for services
user.wallet_paymentUsing wallet balance to pay for services